#pragma once

#include "CoreMinimal.h"
#include "CoreBaseUserWidget.h"
#include "CoreDisabledStateWidgetConfiguration.h"
#include "EDisabledItemOption.h"
#include "CoreDisabledStateOverlayWidget.generated.h"

class UDBDImage;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreDisabledStateOverlayWidget : public UCoreBaseUserWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FCoreDisabledStateWidgetConfiguration _widgetConfiguration;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDImage* DisabledOverlay;

protected:
	UFUNCTION(BlueprintCallable)
	void SetOverlayImage(const EDisabledItemOption disabledItemOption);

public:
	UCoreDisabledStateOverlayWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreDisabledStateOverlayWidget) { return 0; }
